CustomActionHandler Class Reference

`#include <CustomActionDialog.h>`

Inheritance diagram for CustomActionHandler:

## Public Member Functions

bool | characters (const QString &str)
| CustomActionHandler (QAction *action)
bool | endElement (const QString &namespaceURI, const QString &localName, const QString &qName)
QString | errorString () const
bool | fatalError (const QXmlParseException &)
QString | parentName ()
bool | startElement (const QString &namespaceURI, const QString &localName, const QString &qName, const QXmlAttributes &attributes)

## Private Attributes

QString | currentText
QAction * | d_action
QString | d_widget_name
QString | errorStr
QString | filePath
bool | metFitTag

## Constructor & Destructor Documentation

## CustomActionHandler()

CustomActionHandler::CustomActionHandler | ( | QAction * | action | ) |

References d_widget_name, filePath, and metFitTag.

## Member Function Documentation

## characters()

bool CustomActionHandler::characters | ( | const QString & | str | ) |

inline

## endElement()

bool CustomActionHandler::endElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName
| ) |  |

References currentText, d_action, d_widget_name, and filePath.

## errorString()

QString CustomActionHandler::errorString | ( |  | ) | const

inline

## fatalError()

bool CustomActionHandler::fatalError | ( | const QXmlParseException & |  | ) |

inline

## parentName()

QString CustomActionHandler::parentName | ( |  | ) |

inline

Referenced by ApplicationWindow::loadCustomActions().

## startElement()

bool CustomActionHandler::startElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName,
|  | const QXmlAttributes & | attributes
| ) |  |

References currentText, errorStr, and metFitTag.

## Member Data Documentation

## currentText

QString CustomActionHandler::currentText

private

Referenced by endElement(), CustomMenuHandler::endElement(), startElement(), and CustomMenuHandler::startElement().

## d_action

QAction* CustomActionHandler::d_action

private

Referenced by endElement().

## d_widget_name

QString CustomActionHandler::d_widget_name

private

Referenced by CustomActionHandler(), and endElement().

## errorStr

QString CustomActionHandler::errorStr

private

Referenced by startElement(), and CustomMenuHandler::startElement().

## filePath

QString CustomActionHandler::filePath

private

Referenced by CustomActionHandler(), and endElement().

## metFitTag

bool CustomActionHandler::metFitTag

private

Referenced by CustomActionHandler(), CustomMenuHandler::CustomMenuHandler(), startElement(), and CustomMenuHandler::startElement().

The documentation for this class was generated from the following files:

- qtiplot/src/core/CustomActionDialog.h
- qtiplot/src/core/CustomActionDialog.cpp